Ability Photoalbum

Ability Photoalbum is a picture management tool that enables you to display, categorize and sort all of your pictures, photographs and images.

Here are some of the things you can do with Photoalbum:

  • Easily locate Folders, ensuring quick access to the pictures you want to see.

  • Categorize your pictures into Albums e.g. holiday memories in one album, family occasions in another.

  • Designate frequently referred to pictures or albums as Favorites for instant access.

  • Run Slide Shows in which you control the speed and the order of the show.

  • List your picture files in a convenient Display Mode for easy reference: Thumbnails, Large Icons, Small Icons, List, or Details.

  • Sort your pictures by Name, Size, Type, Date and other properties.

  • Print one or more pictures per page easily using the print picture wizard.

Used in conjunction with Ability Photopaint, Ability’s photo and image-editing application, Photoalbum is the perfect tool for managing all your picture files.

See also

Quick Start to Photoalbum


Quick Start to Photoalbum

This section describes how to start Photoalbum and how to create your first album of pictures.

First, start the Photoalbum program:

  • Click on Start

  • Select Programs, Ability Office and then Ability Photoalbum.

Once in Photoalbum, you will see a simple screen divided vertically into two panes. The left pane is where you choose folders and pick and organize Favorites and Albums. The right pane shows all the pictures in the current album or folder, in an assortment of different views.

Creating an album:

  1. On the left pane, click the Folders tab

  2. This behaves like a standard Windows Explorer browser. Select the folder where your pictures are stored.

  3. On the right pane, select the View tab. You should be able to see a preview of the current picture and a list of all the pictures in the current folder below.

  4. Select a few of your pictures – in the list at the bottom of the View pane, click on a picture, hold the Ctrl key down and click on a few more. For more on selecting pictures see - Selecting pictures in the main window

  5. Right-click and select Add to Album. Create a new album, give it a name and OK the dialog.

Now you can view the results using the Album tab. In this way you can build up a series of custom albums. Pictures can appear in more than one album if, for example, a picture falls into two categories.

How it works

Firstly, none of your pictures have been copied or moved – they remain exactly as they were. When you create a new album, a file (with the extension aph) is created. This stores the shortcuts to the pictures you’ve selected. Ability also maintains a list of albums in a "master album" file (which actually is a database that records the location of each album file – you can view this database using Ability Database).


Folders, Albums and Favorites

Folders and Albums occupy separate tabs on the left pane of the Photoalbum window.

The Folders tab behaves like a standard Windows Explorer Folders panel – which is exactly what it is. Click on a + to open up a drive or folder and click on a folder to view the contents in the right pane.

Albums are the basic unit that enables you to organize your pictures. Suppose you have downloaded from your camera two months worth of photos say July and August. Suppose that you went on holiday last week of July and first week of August. You might want to create three albums:

  • July

  • August

  • Holidays

Clearly, there will be some photos that appear in the Holidays album that will also appear in July or August.

Photoalbum is designed with the task of organizing pictures in mind. With it, you can create three separate albums and add the relevant pictures to the albums. Because an album contains links to your original picture (rather than a copy), you can easily add a picture to any number of albums without wasting disk space or causing difficulty with managing numerous copies of each image.

Favorites is the place to store items that you frequently use. It might be a particular set of images as well as frequently referenced albums and even folders. In most ways, Favorites behaves like a special built-in Album.


Adding to Albums

To add pictures to an album, first select the picture (or pictures – see Selecting pictures in the main window for more details) and then click on the Add to Album button [image] (or right-click and select Add to Album).

In the Add to Album dialog, select the Album you want to add to or select the New button and create a new album.

Click OK to finish – you can now select the Album pane and view the pictures in the selected album.

You can also use the Add Picture button [image] to add any number of pictures to the current album.


The Picture pane

The Picture pane occupies the right side of the Photoalbum window. It has three sections, each of them accessed by clicking on the appropriate tab:

  1. Files to display a list of pictures in the current folder/album. This is a similar view to Windows Explorer (except, by default, it excludes non-picture files)

  2. View to display a combined view of the current picture, shown large, and a list of all the pictures in the current folder or album below.

  3. Properties to record information on a particular picture: you can type a short Description of the subject of the picture; record the name of the picture’s Author; and record the Date the picture was taken. There is also a section for more extensive and detailed Notes.


Viewing pictures

At the top of the Picture pane there are backwards and forwards arrows: click on Next or Previous to move through your picture collection one by one.

Next to the arrows, there is a Slideshow button: click on this to open the Slideshow dialog box:

  • In the Sequence box, choose from Forward, Reverse and Random to establish the sequence for the slideshow.

  • In the Delay box type a value for the time period for which each picture will be displayed before moving onto the next picture (as established above in the Sequence box).

  • Click on the Repeat checkbox if you would like to repeat the slideshow after the end of each sequence. (Note that this can be cancelled by re-entering the Slideshow dialog box and canceling Repeat.)

  • Select Full Screen to have the slide show occupy the entire display.

  • Set New Window if you want the slide show to display in a new window (selected by default when you select Full Screen). If this checkbox is cleared, the slide show will run inside the View pane.

  • Once you have made your settings, click on Start to begin the slideshow.

The pictures will be displayed, one by one, according to the chosen sequence and delay time.

To stop a slideshow, click on the Slideshow button again or, if in full screen mode, press the Esc key or right-click the mouse.


Display Options

You can control the way the pictures are show in the Files panel and at the bottom of the View panel. Select Display Mode from the View menu.

A sidecar menu will appear with the following options:

  • Thumbnails: displays Picture files as small boxes with the pictures shown in miniature and the file names running beneath the thumbnails.

  • Large Icons: displays Picture files as large icons with attached file names.

  • Small Icons: displays Picture files as small icons with attached file names.

  • List: lists Picture files as small icons with attached file names.

  • Details: displays list of Picture files with attached file details: Size of file; Date of creation or last edit; Type or format of file; Image Size.


Folder Filter options

By default, Photoalbum filters out all non-picture files form the Picture Pane but leaves in pictures, folders and albums. You can control this setting by selecting Filters from the View menu:

Select Folders to toggle on/off display of folders. The default is On (so that you can double-click folders from the Picture Pane and so see their contents.)

Select Albums to toggle on/off display of Albums (albums are also files. The default is On so you can double-click on albums to open them.

Select Pictures to toggle on/off display of pictures, images and photos. The default is On.

Select Others to toggle on/off display of all other files on your computer. When set to On, Photoalbum behaves in a similar way to Windows Explorer. The default is Off.


Customize thumbnails

To change the appearance and size of the thumbnail view, select Customize from the View menu.

Set the size of the thumbnail to small, medium or large and also choose the background color fill for the thumbnail.

Note: Depending on what view is currently set, you may or may not see thumbnails – see Display Options for more information


Print wizard setup

Part 2 – setting up the print options and sending the pictures to the printer.

  • Use the Template tab to choose how many to pictures to fit on each page and the number of copies of each picture.

  • Use the Items tab to set the horizontal and vertical gap between the pictures and also whether to print a caption with each picture or not.

  • Use the Page tab to set a header and footer for the print job. Use the Preview box to browse through a preview of the final output.

  • When all is set, click the Print button

See also: Print wizard part 1


Printing an album

The Photoalbum print wizard makes it simple to print a picture, several pictures or an entire album (or folder).

Part 1 – selecting the pictures and starting the print wizard.

  1. First, decide what you want to print: To print a single picture, select it from an album or folder (click on it in the view or file tab). To print several pictures from an album or folder, select them by clicking on then first picture and the using Ctrl-Click to select the rest. To print an album, follow the general instructions for the print wizard starting at point 2. below.

  2. Click on the Print button (or select Print from the File menu).

  3. Page 1 of the Print Wizard: Use Add Picture to select and add more pictures. Click on one or more pictures and then Remove Picture to remove them from the print job; click the Add current album to add all the pictures from the current album or folder.

See also: Print wizard Part 2


Selecting pictures

Ability uses Photoalbum to select pictures for a range of tasks across all the Ability products, for example, Insert/Picture/From File in Write and Spreadsheet and Add Picture in Photoalbum itself.

Depending on the task, it may be appropriate to choose a single picture or several pictures.

In all cases, there will be the two main tabs available:

  • Select the Folders tab to select a picture using the traditional file browser common to Windows applications.

  • Select the Albums tab to insert a picture from a pre-defined album or from a list of favorites.

What you do next depends on the nature of the task:

  • Selecting one or more pictures in the print wizard

  • Using the Add Pictures button to add to an album

  • Selecting pictures in the main Photoalbum window

  • Selecting a single picture for insertion into a document

Also in all cases, it’s possible to create albums, add pictures to albums or favorites and control the current view by using the right-click menu.


Selecting pictures in the Print Wizard

The print wizard allows you to add pictures from more than one folder or album in a single print job. Start the print wizard as normal and then select the Add Pictures button.

The Choose Picture dialog will be displayed:

  • Use the Folders tab to browse the normal folders available to your computer

  • Use the Albums tab to view an existing Album or view Favorites

  • Click on a picture (or use Shift-click and/or Ctrl-click to select more than one picture at a time)

  • Use the Select All button to select all the pictures in the current folder or album

  • Click on the Add button to add selected pictures to the current print job – these will appear in the Chosen Pictures box.

  • Use the Remove button to deselect pictures from the Chosen Pictures box

Repeat the above as many times as required and then OK to finish.


Using the Add Pictures button

To add multiple pictures to an album:

  1. Select the album in the Albums you want to add to in the main Photoalbum window

  2. Click on the Add Pictures button

The Choose Picture dialog will be displayed:

  • Use the Folders tab to browse the normal folders available to your computer

  • Use the Albums tab to view an existing Album or view Favorites

  • Click on a picture (or use Shift-click and/or Ctrl-click to select more than one picture at a time)

  • Use the Select All button to select all the pictures in the current folder or album

  • Click on the Add button to add selected pictures to the current print job – these will appear in the Chosen Pictures box.

  • Use the Remove button to deselect pictures from the Chosen Pictures box

Repeat the above as many times as required and then OK to finish.


Selecting pictures in the main window

You can select one or more pictures in the main Photoalbum window before carrying out a number of tasks:

  • Emailing pictures

  • Printing pictures

  • Adding pictures to an album (or creating a new album)

  • Copying pictures to the clipboard

Select the pictures in the bottom section of the View pane:

  • Select a single picture by clicking in on it.

  • Select all the pictures by right-click and Select All.

  • Select individual pictures by keeping the Ctrl key on the keyboard pressed and clicking on several pictures (in any order you like).

  • Select a range of pictures by keeping the Shift key pressed on the keyboard and clicking on the first picture and then clicking on the last picture - all the pictures in between will be selected.


Selecting pictures for inserting into documents

You can insert pictures into Ability Write, Spreadsheet and Presentation by selecting Insert/Picture/From File from the menus.

  • To insert a picture from your hard drive, use the folders tab and browse to the folder containing the picture. A preview of the contents of folder will be shown on the right of the insert picture dialog. Select the picture you want and OK to insert.

  • To insert a picture from your favorites list or from an existing album, click on the albums tab.

Note you can control the appearance of the preview pane by using the Display Mode button.

See also: Folders, Albums and Favorites


Converting pictures to another format

Photoalbum can convert your pictures to a variety of formats.

  1. Select the picture or pictures you want to convert. (help on selecting pictures)

  2. Select Convert from the File menu.

  3. Select the format you want to convert the pictures to.

  4. In the destination folder box either leave it set to the current folder to convert all the pictures into the same location or use the browse button to select an alternate folder.

Tip – you can quickly create a sub-folder by typing the sub-folder name directly onto the end of current folder. For example, if the current folder reads:

c:\myfiles\picturesJan04

Then change it to:

c:\myfiles\picturesJan04\export

To create the sub-folder called export

  5. Select the OK button to start the convert process – if you have selected many pictures, it may take some time to complete.


Editing a picture

To edit a picture, select the Edit button on the toolbar or right-click over a picture and select Edit from the menu. Your picture will be opened by the program you have associated with the file type.

Tip – to associate a file type (e.g. Jpeg) with Ability Photopaint (a good idea we think), start Photopaint using Start/Programs/Ability Office/Ability Photopaint and select Tools/Options/Associations. Check the file types you want Photopaint to open by default.


Emailing pictures

You can select one or more pictures and click on the Send Pictures button (or select Send Email from the File menu.) Your default email client (which must be MAPI compliant) will start up, a new email will be created and the pictures you selected are added as attachments.

See Selecting pictures in the main window for details on how to choose one or more pictures.